Package org.kie.api.fluent

## Interface WorkItemNodeBuilder<T extends NodeContainerBuilder<T,​?>>

- All Superinterfaces:
    `NodeBuilder<WorkItemNodeBuilder<T>,​T>`

      public interface WorkItemNodeBuilder<T extends NodeContainerBuilder<T,​?>>
      extends NodeBuilder<WorkItemNodeBuilder<T>,​T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WorkItemNodeBuilder<T>` | `inMapping​(String parameterName, String variableName)` |
    `T` | `onEntryAction​(Dialect dialect, String action)` |
    `T` | `onExitAction​(Dialect dialect, String action)` |
    `WorkItemNodeBuilder<T>` | `outMapping​(String parameterName, String variableName)` |
    `T` | `timer​(String delay, String period, Dialect dialect, String action)` |
    `WorkItemNodeBuilder<T>` | `waitForCompletion​(boolean waitForCompletion)` |
    `WorkItemNodeBuilder<T>` | `workName​(String name)` |
    `WorkItemNodeBuilder<T>` | `workParameter​(String name, Object value)` |
    `WorkItemNodeBuilder<T>` | `workParameterDefinition​(String name, Class<?> type)` |

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### waitForCompletion

          WorkItemNodeBuilder<T> waitForCompletion​(boolean waitForCompletion)

    - #### inMapping

          WorkItemNodeBuilder<T> inMapping​(String parameterName,
                                           String variableName)

    - #### outMapping

          WorkItemNodeBuilder<T> outMapping​(String parameterName,
                                            String variableName)

    - #### workName

          WorkItemNodeBuilder<T> workName​(String name)

    - #### workParameter

          WorkItemNodeBuilder<T> workParameter​(String name,
                                               Object value)

    - #### workParameterDefinition

          WorkItemNodeBuilder<T> workParameterDefinition​(String name,
                                                         Class<?> type)

    - #### onEntryAction

          T onEntryAction​(Dialect dialect,
                          String action)

    - #### onExitAction

          T onExitAction​(Dialect dialect,
                         String action)

    - #### timer

          T timer​(String delay,
                  String period,
                  Dialect dialect,
                  String action)